# List orders

Retrieve orders with optional filters.

Endpoint: GET /orders
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Query parameters:

  - `status[]` (array)
    Filter by order status. Repeat the parameter for multiple values.

  - `order-number` (integer)
    Filter by order number.

## Response 200:

  - `200` (unknown)
    Success!

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    Example: 67a5f6e2cbf149fb4e0bc2d2

  - `data.order_number` (integer, required)
    Example: 200151

  - `data.loadings` (array)

  - `data.loadings.country` (string)
    Example: DE

  - `data.loadings.zip` (string)
    Example: 22869

  - `data.loadings.city` (string)
    Example: Schenefeld

  - `data.loadings.start_date` (string)
    Example: 2025-02-10T07:00:00+01:00

  - `data.loadings.end_date` (string)
    Example: 2025-02-10T09:00:00+01:00

  - `data.unloadings` (array)

  - `data.status` (string, required)
    Current status of the order.
    Enum: "draft", "placed", "loaded", "canceled"

  - `links` (object)

  - `links.first` (string)
    Example: https://app.zipmend.com/api/v3/orders?page=1

  - `links.last` (string)
    Example: https://app.zipmend.com/api/v3/orders?page=1

  - `links.prev` (any)
    Example: null

  - `links.next` (any)
    Example: null

  - `meta` (object)

  - `meta.current_page` (integer)
    Example: 1

  - `meta.from` (integer)
    Example: 1

  - `meta.last_page` (integer)
    Example: 1

  - `meta.links` (array)

  - `meta.links.url` (any)
    Example: https://app.zipmend.com/api/v3/orders?page=1

  - `meta.links.label` (string)
    Example: 1

  - `meta.links.active` (boolean)
    Example: true

  - `meta.path` (string)
    Example: https://app.zipmend.com/api/v3/orders

  - `meta.per_page` (integer)
    Example: 15

  - `meta.to` (integer)
    Example: 1

  - `meta.total` (integer)
    Example: 1

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    A descriptive error message.
    Example: Bad Request

  - `errors` (object, required)

## Response 200 examples:

  - `Example orders list with filters` (unknown)

## Response 401 examples:

  - `Unauthenticated` (unknown)

